Hi

We have developed an Unity3D game for iOS and Android platforms. We used Unity 4.6.x for development. We are planning to integrate Urban Airship SDKs into our game for push notifications.

We found unity Urban Airship plugin here:

https://github.com/urbanairship/ua-unity-plugin

However this plugin requires Unity 5.

 

Can you please suggest what is the best approach to integrate Urban Airship into Unity 3D app? Integrating the native SDKs separately on iOS and Android or going for an unity plugin?

 

Thanks and Regards,

Adarsh.

Didn't find what you were looking for?

New post

Comments

1 comment

  • Hi Adarsh,

    This is Aaron with Urban Airship Technical Support. I'll be happy to help with your question about our Unity Plugin.

    At this time, the plugin does require Unity 5 or better. While it may work with previous versions, we can only provide best-effort support for those implementations. 

    As a general rule, you'll get the most  up to date and feature-complete SDK, and support experience when using the native iOS and Android SDKs.

    If you have any further questions or concerns with Unity, please open a ticket with us by using the ticket form on the support center home page.

    Thank you!

    My Best,
    Aaron Schuman
    Technical Support Engineer, Portland

     

    0

Please sign in to leave a comment.